# sf::SoundRecorder Class Reference

SoundRecorder is an interface for capturing sound data, it is meant to be used as a base class. More...

`#include <SoundRecorder.hpp>`

Inheritance diagram for sf::SoundRecorder:

List of all members.

## Public Member Functions

virtual | ~SoundRecorder ()
| Virtual destructor.
void | Start (unsigned int SampleRate=44100)
| Start the capture.
void | Stop ()
| Stop the capture.
unsigned int | GetSampleRate () const
| Get the sample rate.

## Static Public Member Functions

static bool | CanCapture ()
| Tell if the system supports sound capture.

## Protected Member Functions

| SoundRecorder ()
| Default constructor.

## Private Types

typedef void(* | FuncType )(void *)

## Private Member Functions

void | Launch ()
| Create and run the thread.
void | Wait ()
| Wait until the thread finishes.
void | Terminate ()
| Terminate the thread Terminating a thread with this function is not safe, you should rather try to make the thread function terminate by itself.

## Detailed Description

SoundRecorder is an interface for capturing sound data, it is meant to be used as a base class.

Definition at line 41 of file SoundRecorder.hpp.

## Constructor & Destructor Documentation

sf::SoundRecorder::~SoundRecorder | ( |  | ) | `[virtual]`

Virtual destructor.

Definition at line 59 of file SoundRecorder.cpp.

sf::SoundRecorder::SoundRecorder | ( |  | ) | `[protected]`

Default constructor.

Definition at line 48 of file SoundRecorder.cpp.

## Member Function Documentation

bool sf::SoundRecorder::CanCapture | ( |  | ) | `[static]`

Tell if the system supports sound capture.

If not, this class won't be usable

Returns:
  True if audio capture is supported

If not, this class won't be usable

Definition at line 136 of file SoundRecorder.cpp.

unsigned int sf::SoundRecorder::GetSampleRate | ( |  | ) | const

Get the sample rate.

Returns:
  Frequency, in samples per second

Definition at line 126 of file SoundRecorder.cpp.

void sf::SoundRecorder::Start | ( | unsigned int | SampleRate = `44100` | ) |

Start the capture.

Warning : only one capture can happen at the same time

Parameters:

  | SampleRate | : Sound frequency (the more samples, the higher the quality) (44100 by default = CD quality)

Warning : only one capture can happen at the same time

Definition at line 69 of file SoundRecorder.cpp.

void sf::SoundRecorder::Stop | ( |  | ) |

Stop the capture.

Definition at line 115 of file SoundRecorder.cpp.

The documentation for this class was generated from the following files:

- SoundRecorder.hpp
- SoundRecorder.cpp